#include "StdAfx.h"
#include "Customer.h"
#include <string.h>
Customer::Customer(char *name) {
	strcpy(m_strName,name);
}
Customer::~Customer(void) {}
void Customer::AddRental(Rental *rental) {
	m_Rentals.push_back(rental);
}
char *Customer::GetName() {
	return m_strName;
}
void Customer::SetName(char *name) {
	strcpy(m_strName,name);
}
#include "Movie.h"
#include "Rental.h"
char *Customer::Statement() {
	char *result = (char*)malloc(1024);
	sprintf(result,"%s  뿩 \n",GetName());
	for (int i = 0; i < m_Rentals.size(); i++) {
		Rental *each = (Rental*)m_Rentals.at(i);
		sprintf(result,"%s\t%s\t%.3f\n",
			result,(each->GetMovie())->GetTitle(),each->GetCharge());
	}
	sprintf(result,"%s뿩:%.3f\nƮ:%d\n",
		result, GetTotalCharge(), GetTotalFrequentRenterPoints());
	return result;
}
char *Customer::HtmlStatement() {
	char *result = (char*)malloc(1024);
	sprintf(result,"<HTML><BODY><H1><EM>%s</EM></H1><P>",GetName());
	for (int i = 0; i < m_Rentals.size(); i++) {
		Rental *each = (Rental*)m_Rentals.at(i);
		sprintf(result,"%s%s: %.3f<BR>",
			result,(each->GetMovie())->GetTitle(),each->GetCharge());
	}
	sprintf(result,
	"%s<P>뿩:<EM>%.3f</EM><P>Ʈ:<EM>%d</EM></BODY></HTML>",
			result,GetTotalCharge(), GetTotalFrequentRenterPoints());
	return result;
}
double Customer::GetTotalCharge() {
	double result = 0;
	for (int i = 0; i < m_Rentals.size(); i++) {
		Rental *each = (Rental*)m_Rentals.at(i);
		result += each->GetCharge();
	}
	return result;
}
int Customer::GetTotalFrequentRenterPoints() {
	int result = 0;
	for (int i = 0; i < m_Rentals.size(); i++) {
		Rental *each = (Rental*)m_Rentals.at(i);
		result += each->GetFrequentRenterPoints();
	}
	return result;
}