#include "StdAfx.h"
#include "Movie.h"
#include <string.h>
#include "Price.h"
Movie::Movie(char *title, int priceCode) {
	strcpy(m_strTitle, title);
	SetPriceCode(priceCode);//m_nPriceCode = priceCode;//------!!!!
}
Movie::~Movie(void) {}
int Movie::GetPriceCode() {
	return m_pPrice->GetPriceCode();//------!!!
}
void Movie::SetPriceCode(int priceCode) {
	switch(priceCode) {//------!!!
	case REGULAR:		m_pPrice=new RegularPrice();	break;
	case NEW_RELEASE:	m_pPrice=new NewReleasePrice();	break;
	case CHILDRENS:		m_pPrice=new ChildrensPrice();	break;
	}
}
double Movie::GetCharge(int daysRented) {
	return m_pPrice->GetCharge(daysRented);//------!!!!
}
int Movie::GetFrequentRenterPoints(int daysRented) {
	return m_pPrice->GetFrequentRenterPoints(daysRented);//------!!!!
}
char *Movie::GetTitle() {
	return m_strTitle;
}
void Movie::SetTitle(char *title) {
	strcpy(m_strTitle, title);
}