#pragma once
class Price {
public:
	Price(void);
	~Price(void);
	virtual int GetPriceCode() = 0;//Լ
	virtual double GetCharge(int daysRented) = 0;
	virtual int GetFrequentRenterPoints(int daysRented) = 0;
};
class RegularPrice : public Price {
	int GetPriceCode() { return Movie::REGULAR; }
	double GetCharge(int daysRented) {
		double result = 2; if (daysRented > 2) result += (daysRented-2)*1.5;
		return result;
	}
	int GetFrequentRenterPoints(int daysRented) { return 1; }
};
class NewReleasePrice : public Price {
	int GetPriceCode() { return Movie::NEW_RELEASE; }
	double GetCharge(int daysRented) { return (daysRented * 3); }
	int GetFrequentRenterPoints(int daysRented) { return(daysRented>1?2:1); }
};
class ChildrensPrice : public Price {
	int GetPriceCode() { return Movie::CHILDRENS; }
	double GetCharge(int daysRented) {
		double result = 1.5; if (daysRented > 3) result += (daysRented-3)*1.5;
		return result;
	}
	int GetFrequentRenterPoints(int daysRented) { return 1; }
};